unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin, DigitsPanel;

type
  TMainForm = class(TForm)
    RandTimer: TTimer;
    {}
    DigitsLabel: TLabel;
    DigitsCombo: TComboBox;
    BevelWidthLabel: TLabel;
    BevelWidthEdit: TSpinEdit;
    LengthLabel: TLabel;
    LengthEdit: TSpinEdit;
    MarginLabel: TLabel;
    MarginEdit: TSpinEdit;
    Bevel1: TBevel;
    Image1: TImage;
    Bevel2: TBevel;
    {}
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure RandTimerTimer(Sender: TObject);
    procedure DigitsComboChange(Sender: TObject);
    procedure BevelWidthEditChange(Sender: TObject);
    procedure LengthEditChange(Sender: TObject);
    procedure MarginEditChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    Bits: TBitMap;
    Panel: TDigitsPanel;
  public
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
var
  Search: TSearchRec;
  Found: Integer;
begin
  Bits := TBitMap.Create;
  Panel := TDigitsPanel.Create(Self);
  with Panel do
    begin
      Parent := Self; Top := 10; Left := 10;
    end;
  with DigitsCombo do
    begin
      Found := FindFirst('*.bmp',faAnyFile,Search);
      while Found = 0 do
        begin
          Items.Add(Search.Name);
          Found := FindNext(Search);
        end;
      FindClose(Search);
      ItemIndex := 0;
      Bits.LoadFromFile(Items[0]); Panel.Digits := Bits
    end;
  BevelWidthEdit.Text := Format('%d',[Panel.BevelWidth]);
  with LengthEdit do
    begin
      MinValue := Low(Panel.Length);
      MaxValue := High(Panel.Length);
      Text := Format('%d',[Panel.Length]);
    end;
  MarginEdit.Text := Format('%d',[Panel.Margin]);
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  Panel.Free;
  Bits.Free;
end;

procedure TMainForm.RandTimerTimer(Sender: TObject);
begin
  Panel.Value := Random(Trunc(Exp(Panel.Length*Ln(10))));
end;

procedure TMainForm.DigitsComboChange(Sender: TObject);
begin
  with DigitsCombo do Bits.LoadFromFile(Items[ItemIndex]);
  Panel.Digits := Bits;
end;

procedure TMainForm.BevelWidthEditChange(Sender: TObject);
begin
  Panel.BevelWidth := StrToInt(BevelWidthEdit.Text);
end;

procedure TMainForm.LengthEditChange(Sender: TObject);
begin
  Panel.Length := StrToInt(LengthEdit.Text);
end;

procedure TMainForm.MarginEditChange(Sender: TObject);
begin
  Panel.Margin := StrToInt(MarginEdit.Text);
end;


procedure TMainForm.Button1Click(Sender: TObject);
begin
  Panel.Value := 100;
end;

end.
